Bug 151669 - rgmanager doesn't handle arbitrary resources
Summary: rgmanager doesn't handle arbitrary resources
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-21 16:30 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-12 15:40:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2005-03-21 16:30:52 UTC
Description of problem:

rgmanager can't handle unspecified third-party resources.  This is an artifact
of old ccs library code which has been obviated.  We can now detect children
properly using libccs, so rgmanager should use that ability to handle
non-explicit children, such as the following:

<service ...>
   <script .../>
   <user_installed_3rd_party_resource_agent .../>
</service>




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lon Hohberger 2005-05-05 21:05:05 UTC
Ok, it's in CVS


Note You need to log in before you can comment on or make changes to this bug.